﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Reflection;
using EagleWare.Libraries.FLServerCommunications.Utilities;
using EagleWare.Libraries.GeneralNonsense;
using EagleWare.Libraries.GeneralNonsense.Timers;

namespace FlacPlugIn.Banners {
  internal class Settings {
    public static Settings Instance { get { return Singleton<Settings>.Instance; } }

    private Settings() { }

    public Configuration Configuration {
      get {
        return Singleton<Persist<Configuration>>.Instance.Load(
          Path.Combine(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location), "Banners.xml")
        );
      }
    }

    public Factory TimerFactory { get; set; }

    public ServerInformation ServerInformation { get; set; }
  }
}
