﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EagleWare.Libraries.GeneralNonsense;

namespace FlacPlugIn.BattleCry {
  internal class HashDictionary {
    public static HashDictionary Instance { get { return Singleton<HashDictionary>.Instance; } }

    private Dictionary<uint, string> _names;

    private HashDictionary() {
      _names = new Dictionary<uint, string>();

      // Hardcoded as example, recommended to read from a config file instead.
      _names[2208796239] = "New York";
      _names[2745692751] = "California";
      _names[2208818767] = "Colorado";
      _names[2745633359] = "Texas";
    }

    public string GetTranslation(uint hash) {
      if(!_names.ContainsKey(hash)) return null;
      return _names[hash];
    }
  }
}
