﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Diagnostics;
using System.Data;
using System.Xml;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;

namespace FlacPlugIn.BullDogg
{
    internal class Rules : PlayerCommand
    {
        public Rules()
        {
            Description = "Broadcasts the Server Rules to the player.";
        }
       
            
        

        public override void Execute(Player user, string parameters)
        {
            XmlDocument doc = new XmlDocument();
            doc.Load(@"C:\Documents and Settings\Bradley Gyton\My Documents\FLAntiCheat\rules.xml");
            XmlElement root = doc.DocumentElement;
            XmlNodeList nodes = root.SelectNodes("/rules");
            foreach (XmlNode node in nodes)
            {
                
                foreach (XmlNode n in node)
                {
                    string rule = n["ruleitem"].InnerText;                    
                    PrivateChat.Fire(user, string.Format(rule));
                }                

            }       
            
            
        }

        /*public override void Execute(Player user, string parameters)
        {
           // StreamReader sr = new StreamReader(@"C:\Documents and Settings\Bradley Gyton\My Documents\FLAntiCheat\rules.txt");
            //Console.WriteLine(());   
            XmlTextReader reader = new XmlTextReader(@"C:\Documents and Settings\Bradley Gyton\My Documents\FLAntiCheat\rules.xml");
            while (reader.Read())
            {
                switch (reader.NodeType)
                {
                    case XmlNodeType.Element: // The node is an element.
                        PrivateChat.Fire(user, string.Format(reader.Name));                                                
                        break;
                    
                }
                //PrivateChat.Fire(user, string.Format("{0}", reader.Name)  );  
              
            }
            Console.ReadLine();
            
            //sr.Close();
        }*/


    }


}

/*namespace FlacPlugIn.BullDogg
{
    internal class Rules : PlayerCommand
    {
        public Rules()
        {
            Description = "Broadcasts the Server Rules to the player.";
        }

        public override void Execute(Player user, string parameters)
        {
            PrivateChat.Fire(user, string.Format("These are the Rules. Yarr!")
            );
        }
    }


}*/
