﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;
using EagleWare.Libraries.FLServerCommunications.Notifications;

namespace FlacPlugIn.BullDogg {
  internal class ShowCash: AdminTargettingCommand {
    public ShowCash() {
      Description = "Shows how much credits are on target player.";
    }

    public override void Execute(Player user, Player target, string parameters) {
      GetCash.Fire(
        target,
        delegate(CashUpdate notification) {
          PrivateChat.Fire(
            user,
            string.Format("{0} has {1:#,##0} credits.", notification.PlayerName, notification.Amount)
          );
        }
      );
    }
  }
}
