﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.GeneralNonsense;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;
using EagleWare.Libraries.FLServerCommunications.Notifications;
using EagleWare.Libraries.FLServerCommunications.Utilities;
using EagleWare.Libraries.FreelancerTrivia;


namespace FlacPlugIn.DockMessage
{
  internal class ListDockMessages: PlayerCommand {
      public ListDockMessages()
      {
      Description = "Lists all items in the dock message dictionary.";
      }      

    public override void Execute(Player user, string parameters) {
        List<uint> list = new List<uint>(HashDictionary.Instance._dockmessages.Keys);
        // Loop through list
        foreach (uint k in list)
        {
            Console.WriteLine("{0}, {1}, END",
                k.ToString(),
               HashDictionary.Instance._dockmessages[k].ToString());
        }
    }
  }
}
