﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.IO;
using EagleWare.Libraries.GeneralNonsense;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;
using EagleWare.Libraries.FLServerCommunications.Notifications;

namespace FlacPlugIn.JoinMessage {
  public class NotificationHandler: Listener {
    public NotificationHandler() {
      // register new commands      
      new SetJoinMessage().Register();

     // _timerFactory.CreateTimer(1200, CreditJoinMessage);
      
    }

    //START CREDIT
    /*private void CreditJoinMessage()
    {
        UniverseCustomChat.Fire(0x00FF0001, "Custom Server Join Message Plugin Created by BullDogg. http://bradgyton.com/FLAC");
      
    }*/
    //END CREDIT

    public override void CharacterLoad(CharacterLoad notification) {
        string joinmessagetextfile = notification.SaveGameFullPath;
        string mpdir;
        string jointext;
        string playerid;
        System.IO.FileInfo sourceFileInfo = new System.IO.FileInfo(joinmessagetextfile);
        playerid = sourceFileInfo.Name;
        mpdir = sourceFileInfo.DirectoryName;
        jointext = mpdir + "/joinmsg" + playerid + ".txt";

        if (File.Exists(jointext))
            {
             TextReader tr = new StreamReader(jointext);

             UniverseCustomChat.Fire(0xFFFFFF01, // blue, bold
          string.Format("{0}", tr.ReadLine())

            );
                
                tr.Close();
            }
            else
            {           
            }       
       

       
      
    
    }   

  }
}
