﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Diagnostics;
using System.Data;
using System.Xml;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;

namespace FlacPlugIn.RulesPlug
{
    internal class Rules : PlayerCommand
    {
        public Rules()
        {
            Description = "Broadcasts the Server Rules to the player.";
        }    

        public override void Execute(Player user, string parameters)
        {
            XmlDocument doc = new XmlDocument();
            Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            doc.Load(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\rules.xml");
            XmlElement root = doc.DocumentElement;
            XmlNodeList nodes = root.SelectNodes("/rules");
            foreach (XmlNode node in nodes)
            {                
                foreach (XmlNode n in node)
                {
                    string rule = n["ruleitem"].InnerText;                    
                    PrivateChat.Fire(user, string.Format(rule));
                }  
            }

            PrivateChat.Fire(user, string.Format("Plugin by BullDogg"));
        } 
    }
}


