﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml;
using System.Xml.Serialization;

namespace FlacPlugIn.Banners {
  [XmlRoot("configuration")]
  public class Configuration: Persistable<Configuration> {
    [XmlAttribute("inter_banner_delay")]
    public uint InterBannerDelay = 60;

    [XmlArray("banners")]
    [XmlArrayItem("banner")]
    public List<Banner> Banners = new List<Banner>();
  }
}
