﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FlacPlugIn.Banners {
  public abstract class Persistable<T> where T: Persistable<T>, new() {
    private Persist<T> _parent = null;

    public Persist<T> Parent {
      set { _parent = value; }
    }

    public virtual void Save() {
      _parent.Save();
    }
  }
}
