﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;

namespace FlacPlugIn.BattleCry {
  internal class SendAnonimous: PlayerTargettingCommand {
    public SendAnonimous() {
      Syntax += " [message]";
      Description = "Sends a message to the target player anonimously.";
    }

    public override void Execute(Player user, Player target, string parameters) {
      PrivateChat.Fire(target, parameters);
      PrivateChat.Fire(user, string.Format("Message send to {0}", target.Name));
    }
  }
}
