﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;

namespace FlacPlugIn.BattleCry {
  internal class TimeToUniverse: AdminCommand {
    public TimeToUniverse() {
      Description = "Broadcasts the current UTC date & time over universe.";
    }

    public override void Execute(Player user, string parameters) {
      UniverseCustomChat.Fire(
        0xFF000001, // blue, bold
        string.Format("The current date and time (UTC) is: {0}", DateTime.UtcNow.ToString("HH:mm yyyy-MM-dd"))
      );
    }
  }
}
