﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;

namespace FlacPlugIn.BullDogg
{
    internal class Shout : AdminCommand
    {
        public Shout()
        {
            Syntax += "[size]*[message]";
            Description = "Shouts a message to the universe.";
        }


        public override void Execute(Player user, string parameters)
        {
            string option = parameters.ToLower().Trim();
            string[] StrOption = new string[50];
            char[] splitter = { ' ' };
            StrOption = option.Split(splitter);         
            
                if (StrOption[0] != "big" && StrOption[0] != "medium" && StrOption[0] != "small")
                {
                    PrivateChat.Fire(
                      user, string.Format("Unrecognized option {0}, use big/medium/small instead.", StrOption[0])
                    );
                    return;
                }
                else
                {
                    if (StrOption[0] == "big")
                    {
                        UniverseCustomChat.Fire(0xFFFFFF20, string.Format(""));
                    }
                    else if (StrOption[0] == "medium")
                    {
                        UniverseCustomChat.Fire(0xFFFFFF20, string.Format(""));
                    }
                    else if (StrOption[0] == "small")
                    {
                        UniverseCustomChat.Fire(0xFFFFFF01, string.Format(""));
                    }
                    else
                    {
                        PrivateChat.Fire(
                      user, string.Format("Unrecognized option {0}, use big/medium/small instead.", StrOption[0])
                    );
                    }
                }
            }

            //UniverseCustomChat.Fire(0xFFFFFF20, string.Format(parameters) );            
        }
    }


