﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.IO;
using EagleWare.Libraries.GeneralNonsense;


namespace FlacPlugIn.BullDogg {
  internal class HashDictionary {
    public static HashDictionary Instance { get { return Singleton<HashDictionary>.Instance; } }

    private Dictionary<uint, string> _names;

    private HashDictionary()
    {

        /*string AllContents = File.ReadAllLines(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\HashDb.ini");
      String[] LinesRead = AllContents.Split(new char[] { '=', ' ' }, StringSplitOptions.RemoveEmptyEntries);
        */
        string[] lines = File.ReadAllLines(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\HashDb.ini");
        _names = new Dictionary<uint, string>();
        foreach (String line in lines)
        {
            String[] split = line.Split('=');
            string hash = split[0];
            string value = split[1];
            //"_names [" + split[0] + "] = " + split[1];

            _names[UInt32.Parse(hash)] = value;


        }

    }
      
    public string GetTranslation(uint hash) {
      if(!_names.ContainsKey(hash)) return null;
      return _names[hash];
    }
  }
}
