﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
//using System.IO;
using EagleWare.Libraries.GeneralNonsense;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;
using EagleWare.Libraries.FLServerCommunications.Notifications;


namespace FlacPlugIn.TrackPlayerPlug {
  public class NotificationHandler: Listener {  

    private string GetSystemName(uint hash) {
      return HashDictionary.Instance.GetTranslation(hash) ?? string.Format("some system (hash = {0})", hash);
    }

      public override void EnteredSystem(EnteredSystem notification) {             
     
     _log.Info("TRACKER -- {0} Jumped to {1}", notification.PlayerName, GetSystemName(notification.System)          

      );
     
      
      
     XmlDocument document = new XmlDocument();
     document.Load(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.xml");
     XmlNode node = document.DocumentElement.SelectSingleNode("//PlayerToTrack");
     //Response.Write("node = " + node.InnerText);

            if (notification.PlayerName == node.InnerText)
            {
                
                UniverseCustomChat.Fire(0x0000FF01,
                string.Format("{0} just entered {1}...Run!", notification.PlayerName, GetSystemName(notification.System))
            
            ); 
            } 
            else 
            {
            }
    }

    }
}