﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Data;
using System.Xml;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;
using EagleWare.Libraries.FLServerCommunications.Notifications;

namespace FlacPlugIn.CMTracker
{
    
        /////// VIEW TRACKER LOG ///////

        internal class CM : AdminTargettingCommand
        {

            public CM()
            {
                Syntax += " [view|join|leave]";
                Description = "Counquest Model Command ALPHA.";                
            }

            /*public Tracker()
            {
                Description = "Shows tracker log of the tracked player.";
            }*/

            public override void Execute(Player user, Player target, string parameters)
            {

                string commands = parameters;
                string[] arInfo = new string[2];              
                char[] splitter = { ' ' };
                arInfo = commands.Split(splitter);

                if (arInfo[0] == "view")
                {
                    XmlDocument document = new XmlDocument();
                    document.Load(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.xml");
                    XmlNode node = document.DocumentElement.SelectSingleNode("//Active");
                    // Response.Write("node = " + node.InnerText);

                    if (node.InnerText == "1")
                    {

                        StreamReader sr = new StreamReader(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.log");
                        PrivateChat.Fire(user, string.Format(sr.ReadToEnd()));
                        sr.Close();
                    }
                    else if (node.InnerText == "0")
                    {
                        PrivateChat.Fire(user, string.Format("The Player Tracker has Been Disabled."));
                    }
                    else
                    {
                        PrivateChat.Fire(user, string.Format("The Player Tracker has not Been Configured Correctly."));
                    }
                }
                else if (arInfo[0] == "disable")
                {
                    string xmlloc = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.xml";
                    XmlDocument document = new XmlDocument();
                    document.Load(xmlloc);
                    XmlNode node = document.DocumentElement.SelectSingleNode("//Active");
                    // Response.Write("node = " + node.InnerText);
                                      
                        document.DocumentElement.SelectSingleNode("//Active").InnerText = "0";
                        PrivateChat.Fire(user, string.Format("The Player Tracker has Been Disabled."));
                        document.Save(xmlloc);                   
                }
                else if (arInfo[0] == "enable")
                {
                    string xmlloc = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.xml";

                    XmlDocument document = new XmlDocument();
                    document.Load(xmlloc);
                    XmlNode node = document.DocumentElement.SelectSingleNode("//Active");

                    document.DocumentElement.SelectSingleNode("//Active").InnerText = "1";
                    PrivateChat.Fire(user, string.Format("The Player Tracker has Been Enabled."));
                    document.Save(xmlloc);
                }
                else if (arInfo[0] == "set")
                {
                    string xmlloc = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.xml";

                    XmlDocument document = new XmlDocument();
                    document.Load(xmlloc);
                    document.DocumentElement.SelectSingleNode("//PlayerToTrack").InnerText = target.Name;
                    document.Save(xmlloc);

                    PrivateChat.Fire(user, string.Format("Tracker set on " + target.Name));
                }
                else if (arInfo[0] == "clearlog")
                {
                    PrivateChat.Fire(user, "Clearing Log...");
                    string logpath = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.log";

                    TextWriter tw = new StreamWriter(logpath);
                    tw.WriteLine("");
                    tw.Close();
                    PrivateChat.Fire(user, "Log Cleared!");
                }
                else
                {
                    PrivateChat.Fire(user, string.Format("Unrecognized option {0}, use view|enable|disable|set|clearlog instead.", arInfo[0]));

                }
               
             

            }
        }

        /////// ENABLE/DISABLE TRACKER ///////
    /*
        internal class TrackerIO : AdminCommand
        {
            public TrackerIO()
            {
                Description = "Enables/Disables the Tracker.";
            }

            public override void Execute(Player user, string parameters)
            {
                string xmlloc = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.xml";

                XmlDocument document = new XmlDocument();
                document.Load(xmlloc);
                XmlNode node = document.DocumentElement.SelectSingleNode("//Active");
                // Response.Write("node = " + node.InnerText);

                if (node.InnerText == "1")
                {
                    document.DocumentElement.SelectSingleNode("//Active").InnerText = "0";
                    PrivateChat.Fire(user, string.Format("The Player Tracker has Been Disabled."));
                    document.Save(xmlloc);
                }
                else if (node.InnerText == "0")
                {
                    document.DocumentElement.SelectSingleNode("//Active").InnerText = "1";
                    PrivateChat.Fire(user, string.Format("The Player Tracker has Been Enabled."));
                    document.Save(xmlloc);
                }
                else
                {
                    PrivateChat.Fire(user, string.Format("Player Tracker ERR - 01"));
                }

            }
        }

        /////// SET TRACKER TARGET ///////

        internal class TrackerSet : AdminTargettingCommand
        {
            public TrackerSet()
            {
                Description = "Sets the Tracker Target.";
            }

            public override void Execute(Player user, Player target, string parameters)
            {
                string xmlloc = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\trackplayer.xml";

                XmlDocument document = new XmlDocument();
                document.Load(xmlloc);
                document.DocumentElement.SelectSingleNode("//PlayerToTrack").InnerText = target.Name;
                document.Save(xmlloc);

                PrivateChat.Fire(user, string.Format("Tracker set on " + target.Name));

            }
        }*/

    }


