﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.IO;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;
using EagleWare.Libraries.GeneralNonsense;

namespace FlacPlugIn.PayPerMessage {

    internal class Settings 
    { 
        public static Settings Instance 
        { 
            get 
            { 
                return Singleton<Settings>.Instance; 
            } 
        } 

        private Settings() 
        { 
        } 
        
        public bool LastSent 
        { 
            get; 
            set;            
        } 
    }

  internal class Universe: PlayerCommand {

    public Universe() {
      Syntax += " [message]";
      Description = "Allows players to pay to send out a universal message.";
    }

   public string logpath = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\universepaylog.log";
   public int creditloss = 0;

    public void GetSettings()
    {
        XmlDocument document = new XmlDocument();
        document.Load(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\plyperbannerconfig.xml");
        XmlNode node = document.DocumentElement.SelectSingleNode("//Price");
        int creditloss = Convert.ToInt16(node.InnerText.ToString());        
    }    

    public override void Execute(Player user, string parameters) {
        GetSettings();            
        
        if (File.Exists(logpath))
        {
            AddCash.Fire(user, creditloss);
            PrivateChat.Fire(user,
                      string.Format("You have had {0} credits deducted from your account to submit the message '{1}'.", creditloss, parameters)
                    );

            UniverseCustomChat.Fire(0xFFFFFF30, parameters);

            TextWriter tw = new StreamWriter(logpath, true);
            tw.WriteLine(string.Format("Player: {0}, Credit Charge: {1}, Message: {2}.", user, creditloss, parameters));
            tw.Close();          
            
        }
        else
        {
            CreateLog();

            AddCash.Fire(user, creditloss);
            PrivateChat.Fire(user,
                      string.Format("You have had {0} credits deducted from your account to submit the message '{1}'.", creditloss, parameters)
                    );

            UniverseCustomChat.Fire(0xFFFFFF30, parameters);

            string entry = string.Format("Player: {0}, Credit Charge: {1}, Message: {2}.", user, creditloss, parameters);
            WriteToLog(entry);
           
        }
        PrivateChat.Fire(user, "Message sent to universe.");
           
    }

    public void WriteToLog(string entry)
    {
        TextWriter tw = new StreamWriter(logpath, true);
        tw.WriteLine(entry);
        tw.Close();
    }

    public void CreateLog()
    {
        FileInfo MyFile = new FileInfo(logpath);
        MyFile.Create();
        MyFile.Refresh();
    }

  }

}
