﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Diagnostics;
using System.Data;
using System.Xml;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;

namespace FlacPlugIn.RulesPlug
{
    internal class GlobalRules : AdminCommand
    {
        public GlobalRules()
        {
            Description = "Broadcasts the Server Rules over universe.";
        }

        public override void Execute(Player user, string parameters)
        {
            XmlDocument doc = new XmlDocument();
            doc.Load(Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\FLAntiCheat\rules.xml");
            XmlElement root = doc.DocumentElement;
            XmlNodeList nodes = root.SelectNodes("/rules");
            foreach (XmlNode node in nodes)
            {                
                foreach (XmlNode n in node)
                {
                    string rule = n["ruleitem"].InnerText;
                    UniverseCustomChat.Fire(                        
               0xFFFFFF00,
              string.Format(rule)
            );

          }
        }

            UniverseCustomChat.Fire(                
                 0xFFFFFF00,
                string.Format("Plugin by BullDogg"));
        }
    }

    
}
