﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EagleWare.Libraries.FlacCommands;
using EagleWare.Libraries.FLServerCommunications;
using EagleWare.Libraries.FLServerCommunications.Events;
using EagleWare.Libraries.FLServerCommunications.Notifications;

namespace FlacPlugIn.Settings {
  internal class ServerSettings: PlayerCommand {
    public ServerSettings() {
      Description = "General Server Information.";
    }

    public override void Execute(Player user, string parameters) {

        PrivateChat.Fire(
                      user,
                      string.Format("Players Online:")
                    ); 

        foreach (Player player in Settings.Instance.ServerInformation.OnlinePlayers)
        {
            PrivateChat.Fire(
                       user,
                       string.Format("{0} \r\n", player.Name)
                     ); 
        }

                
    }
  }
}
