﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EagleWare.Libraries.GeneralNonsense;

namespace FlacPlugIn.ShoutPlug {
  internal class HashDictionary {
    public static HashDictionary Instance { get { return Singleton<HashDictionary>.Instance; } }

    private Dictionary<uint, string> _names;

    private HashDictionary() {
    

    public string GetTranslation(uint hash) {
      if(!_names.ContainsKey(hash)) return null;
      return _names[hash];
    }
  }
}
