﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Security;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }      

        private void button1_Click(object sender, EventArgs e)
        {
            if (admintag.Text == "" || policetag.Text == "" || admintag.Text == null || policetag.Text == null)
            {
                MessageBox.Show("You have not entered a TAG for both items");
                return;
            }
            else
            {

                string adminTag = admintag.Text;
                string policeTag = policetag.Text;
                adminTag = SecurityElement.Escape(adminTag);
                policeTag = SecurityElement.Escape(policeTag);

                XmlDocument doc = new XmlDocument();
                XmlNode docNode = doc.CreateXmlDeclaration("1.0", "UTF-8", null);
                doc.AppendChild(docNode);

                XmlNode productsNode = doc.CreateElement("AdminJoinConfig");
                doc.AppendChild(productsNode);

                XmlNode nameNode = doc.CreateElement("AdminTag");
                nameNode.AppendChild(doc.CreateTextNode(adminTag));
                productsNode.AppendChild(nameNode);
                XmlNode priceNode = doc.CreateElement("PoliceTag");
                priceNode.AppendChild(doc.CreateTextNode(policeTag));
                productsNode.AppendChild(priceNode);

                doc.Save("AdminJoinConfig.xml");

                MessageBox.Show(String.Format("Admin TAG:{0} \r\nPolice TAG:{1} \r\n\r\nConfig Generated!", admintag.Text, policetag.Text));
            }
        }
    }
}
